#include "TApplication.h"
#include "TControlBar.h"
#include "Riostream.h"
#include "box.h"

// compile like this on Linux (ROOT 6):
// rootcling -f boxDict.cxx -c box.h Linkdef.h
// g++ `root-config --cflags --glibs` -o box box.cxx boxDict.cxx
//
// and on Windows (ROOT 5):
// rootcint -f boxDict.cxx -c box.h Linkdef.h
// cl -nologo -MDd -GR -EHsc box.cxx boxDict.cxx -I %ROOTSYS%\include /link -LIBPATH:%ROOTSYS%\lib libCore.lib libCint.lib libGpad.lib

void box()
{
   std::cout << "from global run_me() : Hello!\n";
}

int main(int argc, char **argv)
{
   TApplication *theApp = new TApplication("RichEvent", 0, 0);
   TControlBar *bar = new TControlBar("vertical", "Pienu Visualization GUI",200,10);
   bar->AddButton("Box Geom", "box()", "This will make a random Geometry");
   bar->AddButton("exit", ".q", "This will close the program");
   bar->SetButtonWidth(400);
   bar->Show();
   theApp->Run();
   return 0;
}